Subject: [lamps] I-D Action: draft-ietf-lamps-cmp-updates-11.txt

From: [email-masked]
Date: Wed, 30 Jun 2021 05:24:14 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Limited Additional Mechanisms for PKIX and SMIME WG of the IETF.

        Title           : Certificate Management Protocol (CMP) Updates
        Authors         : Hendrik Brockhaus
                          David von Oheimb
	Filename        : draft-ietf-lamps-cmp-updates-11.txt
	Pages           : 55
	Date            : 2021-06-30

Abstract:
   This document contains a set of updates to the syntax and transport
   of Certificate Management Protocol (CMP) version 2.  This document
   updates RFC 4210 and RFC 6712.

   The aspects of CMP updated in this document are using EnvelopedData
   instead of EncryptedValue, clarifying the handling of p10cr messages,
   improving the crypto agility, as well as adding new general message
   types, extended key usages to identify certificates for use with CMP,
   and '.well-known' HTTP path segments.

   To properly differentiate the support of EnvelopedData instead of
   EncryptedValue, the CMP version 3 is introduced in case a transaction
   is supposed to use EnvelopedData.

   CMP version 3 is introduced to enable signaling support of
   EnvelopedData instead of EncryptedValue and signaling the use of an
   explicit hash AlgorithmIdentifier in certConf messages, as far as
   needed.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-lamps-cmp-updates/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-ietf-lamps-cmp-updates-11.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-lamps-cmp-updates-11

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Brockhaus, Hendrik" <[email-masked]>
Date: Wed, 30 Jun 2021 13:05:01 +0000

Hi

I just submitted an update of CMP Updates draft containing the following changes.

   *  Add Section 2.10 to add an additional hashAlg field to the
      CertStatus type to support certificates signed with a signature
      algorithm not explicitly indicating a hash algorithm in the
      AlgorithmIdentifier (see thread "Hash algorithm to us for
      calculating certHash")
   *  Added newly registered OIDs and temporarily registered URI suffix
   *  Exchanged the import of CertificationRequest from RFC 2986 to the
      definition from RFC 6402 Appendix A.1 (see thread "CMP Update of
      CertificationRequest")
   *  Corrected the definition of LocalKeyIdValue in Appendix A.1
   *  Updated new RFC numbers for I-D.ietf-lamps-crmf-update-algs

Many thanks to all of you for your support and contribution to the document.
Any further feedback is welcome.

Hendrik

> Von: Spasm <[email-masked]> Im Auftrag von [email-masked]
> Gesendet: Mittwoch, 30. Juni 2021 14:24
> 
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatrac
> ker.ietf.org%2Fdoc%2Fdraft-ietf-lamps-cmp-
> updates%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Ce
> e522a56ac80453779de08d93bc2354e%7C38ae3bcd95794fd4addab42e1495d55
> a%7C1%7C0%7C637606527588140493%7CUnknown%7CTWFpbGZsb3d8eyJWIj
> oiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C100
> 0&amp;sdata=WIEsxByhKWlzcpXw3QTMsgNVylD6EmqEQ8E6d0MtzL4%3D&am
> p;reserved=0
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf
> .org%2Farchive%2Fid%2Fdraft-ietf-lamps-cmp-updates-
> 11.html&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Cee522
> a56ac80453779de08d93bc2354e%7C38ae3bcd95794fd4addab42e1495d55a%7
> C1%7C0%7C637606527588145481%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC
> 4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&a
> mp;sdata=7sCMPy1Q7YpnZVCL5Nv7HAVZ%2BRm8ZD5jpomrZsrcPss%3D&amp;r
> eserved=0
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf
> .org%2Frfcdiff%3Furl2%3Ddraft-ietf-lamps-cmp-updates-
> 11&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Cee522a56a
> c80453779de08d93bc2354e%7C38ae3bcd95794fd4addab42e1495d55a%7C1%7
> C0%7C637606527588145481%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLj
> AwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sd
> ata=SiNT14dE4ZIbG9pygJZGHIcLI2EJGAnjmSe619%2FhtWc%3D&amp;reserved=
> 0
> 
> 
> https://eur01.safelinks.protection.outlook.com/?url=ftp%3A%2F%2Fftp.ietf.org
> %2Finternet-
> drafts%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Cee5
> 22a56ac80453779de08d93bc2354e%7C38ae3bcd95794fd4addab42e1495d55a%
> 7C1%7C0%7C637606527588145481%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiM
> C4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&a
> mp;sdata=hb0AHFwgZD36zzGBA88pvqyKUcdH%2BW%2Bc2qs1MK%2Fi5jM%3D
> &amp;reserved=0
> 
> 
> _______________________________________________
> Spasm mailing list
> [email-masked]
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf
> .org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Chendrik.brockha
> us%40siemens.com%7Cee522a56ac80453779de08d93bc2354e%7C38ae3bcd95
> 794fd4addab42e1495d55a%7C1%7C0%7C637606527588145481%7CUnknown%
> 7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiL
> CJXVCI6Mn0%3D%7C1000&amp;sdata=xq5ojvIDUXDF61ww4Yt2WukbcH7J4pJg
> 2hw1v6f%2FUHA%3D&amp;reserved=0